package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWF8G6RsNaces {

    private Map<String, Object> params;
    
    public MWF8G6RsNaces(Map<String, Object> params) {
        this.params = params;
    }

    public Long rsPtOkecKey() {
        return (Long) params.get("RS_PT_OKEC_KEY");
    }

    public Long rsInstPtKey() {
        return (Long) params.get("RS_INST_PT_KEY");
    }

    public String rsOkecId() {
        return (String) params.get("RS_OKEC_ID");
    }

    public Long rsOkecMainFlag() {
        return (Long) params.get("RS_OKEC_MAIN_FLAG");
    }

    public Double rsPrftSharePct() {
        return (Double) params.get("RS_PRFT_SHARE_PCT");
    }

    public Long rsDelFlag() {
        return (Long) params.get("RS_DEL_FLAG");
    } 

}
